Subject: Re: linux-next: build failure after merge of the drm-xe tree

From: Mark Brown <[email-masked]>
Date: Fri, 13 Mar 2026 13:25:08 +0000

On Thu, Mar 12, 2026 at 08:50:53PM -0400, Rodrigo Vivi wrote:
> On Thu, Mar 12, 2026 at 11:43:40AM +0000, Mark Brown wrote:

> > The usual thing that normal trees would do would be to make a shared
> > branch with just the API change in it that all the affected trees could
> > merge and base their ongoing work off.

> We can work with topic branch as well, but the backmerge is not a hard process
> for us. We should just not have rushed with this patch to start with, then
> we could had put the branch in sync.

That also works.

> The pull-requests are already happening, so we should be back in sync soon,
> then you can re-enable the branch.

To be clear when there's a build failure I don't remove branches, I
merge whatever the last version that worked was.  This means that every
day the merge has to try the build, see that it failed, then I have to
tell it to merge the old version, watch that get retried and then carry
on with the merge.